//抽奖相关的接口
import request from "./../request.js";
 
 
 //slotCountLottery 抽奖活动首页接口
 export function slotCountLottery(data) {
   return request.post("slot/countLottery", data, { noAuth: false });
 }
 
 //sendLottery 抽奖发布 发起抽奖
 export function sendLottery(data) {
   return request.post("slot/sendLottery", data, { noAuth: false });
 }
 
 
 //查询各种状态的抽奖记录列表 列表
 export function LotteryList(data) {
   return request.post("slot/LotteryList", data, { noAuth: false });
 }
 
 
 //抽奖详情接口 活动页面
 export function slotLotteryInfo(data) {
   return request.post("slot/LotteryInfo", data, { noAuth: false });
 }
 
 //参与抽奖的方法
 export function joinLottery(data) {
   return request.post("user/joinLottery", data, { noAuth: false });
 }
 
 //开奖请求接口
 export function OpenLottery(data) {
   return request.post("slot/OpenLottery", data, { noAuth: false });
 }
 
 //获取 中奖者 名单
 export function prizeUserList(data) {
   return request.post("slot/prizeUserList", data, { noAuth: false });
 }
 
 //查看全部的中奖名单
 export function LotteryUserInfo(data) {
   return request.post("slot/LotteryUserInfo", data, { noAuth: false });
 }
 
 
 //抽奖开启和关闭
 export function cancelLottery(data) {
   return request.post("slot/cancelLottery", data, { noAuth: false });
 }


//获取参与过的活动列表
 export function slotuserList(data) {
   return request.post("slot/userList", data, { noAuth: false });
 }